org.keycloak.models.jpa.entities

## Class DefaultClientScopeRealmMappingEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.DefaultClientScopeRealmMappingEntity

-     @Entity
      public class DefaultClientScopeRealmMappingEntity
      extends Object

  Binding between realm and default clientScope
  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DefaultClientScopeRealmMappingEntity.Key`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `clientScopeId`
    `protected boolean` | `defaultScope`
    `protected RealmEntity` | `realm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultClientScopeRealmMappingEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getClientScopeId()`
    `RealmEntity` | `getRealm()`
    `int` | `hashCode()`
    `boolean` | `isDefaultScope()`
    `void` | `setClientScopeId(String clientScopeId)`
    `void` | `setDefaultScope(boolean defaultScope)`
    `void` | `setRealm(RealmEntity realm)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientScopeId

          protected String clientScopeId

    - #### realm

          protected RealmEntity realm

    - #### defaultScope

          protected boolean defaultScope

  - ### Constructor Detail

    - #### DefaultClientScopeRealmMappingEntity

          public DefaultClientScopeRealmMappingEntity()

  - ### Method Detail

    - #### getClientScopeId

          public String getClientScopeId()

    - #### setClientScopeId

          public void setClientScopeId(String clientScopeId)

    - #### getRealm

          public RealmEntity getRealm()

    - #### setRealm

          public void setRealm(RealmEntity realm)

    - #### isDefaultScope

          public boolean isDefaultScope()

    - #### setDefaultScope

          public void setDefaultScope(boolean defaultScope)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.